Subject: Re: bug#68976: 30.0.50; Tramp: unexpected error when calling (file-remote-p "/dav:localhost#8000:/foo")

From: Ihor Radchenko <[email-masked]>
Date: Wed, 07 Feb 2024 16:40:12 +0000

Eli Zaretskii <[email-masked]> writes:

>> (file-remote-p "/dav:localhost#8000:/foo")
> ...> 
>> I believe that it is inappropriate that throw an error in such
>> situation. If "gvfs" is not supported, but still claimed to be remote by
>> TRAMP, I expect non-nil return value when calling `file-remote-p'; not
>> an error.
>
> What if the "dav:" part was deliberate, i.e. not an accident?  That
> ism the caller did want to access a gvfs remote filesystem.  Returning
> nil in that case would be exactly the wrong thing to do.

I do not suggest returning nil. I suggest to return non-nil rather than
throwing an error. It would be more appropriate to throw an error when
opening the file were attempted, not merely checking if that file is
remote.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>